import React from 'react';
import type { ICustomBannerConfig } from '../../application/config/customBanner/CustomBannerConfig';
import './CustomBanner.less';
export interface ICustomBannerState {
    applicationName: string;
    bannerConfig: ICustomBannerConfig;
}
export declare class CustomBanner extends React.Component<{}, ICustomBannerState> {
    private locationChangeUnsubscribe;
    state: ICustomBannerState;
    componentDidMount(): void;
    private updateApplication;
    updateBannerConfig(attributes: any): void;
    render(): React.ReactElement<CustomBanner>;
    componentWillUnmount(): void;
}
